Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Bzip2_Decompression Class Referencefinal

`#include <bzip2.h>`

Inheritance diagram for Botan::Bzip2_Decompression:

## Public Member Functions
void | clear () finaloverride
void | finish (secure_vector< uint8_t > &buf, size_t offset) finaloverride
std::string | name () const override
void | update (secure_vector< uint8_t > &buf, size_t offset) finaloverride

## Detailed Description

Bzip2 Deccompression

Definition at line 30 of file bzip2.h.

## Member Function Documentation

void Botan::Stream_Decompression::clear | ( |  | ) |
| final override virtual inherited

Reset the state and abort the current message; start can be called again to process a new message.

Implements Botan::Decompression_Algorithm.

Definition at line 118 of file compress_utils.cpp.

119 {
120 m_stream.reset();
121 }

void Botan::Stream_Decompression::finish | ( | secure_vector< uint8_t > & | final_block,
|  | size_t | offset
| ) |  |
| final override virtual inherited

Finish decompressing

Parameters

  final_block | in/out parameter
  offset | an offset into final_block to begin processing

Implements Botan::Decompression_Algorithm.

Definition at line 180 of file compress_utils.cpp.

References Botan::Decompression_Algorithm::name().

181 {
182 if(buf.size() != offset || m_stream.get())
183 process(buf, offset, m_stream->finish_flag());
184
185 if(m_stream.get())
186 throw Exception(name() + " finished but not at stream end");
187 }
Botan::Decompression_Algorithm::name
virtual std::string name() const =0

std::string Botan::Bzip2_Decompression::name | ( |  | ) | const
| inline override virtual

Returns
  name of the decompression algorithm

Implements Botan::Decompression_Algorithm.

Definition at line 33 of file bzip2.h.

33 { return "Bzip2_Decompression"; }

void Botan::Stream_Decompression::update | ( | secure_vector< uint8_t > & | buf,
|  | size_t | offset
| ) |  |
| final override virtual inherited

Process some data. Input must be in size update_granularity() uint8_t blocks.

Parameters

  buf | in/out parameter which will possibly be resized or swapped
  offset | an offset into blocks to begin processing

Implements Botan::Decompression_Algorithm.

Definition at line 175 of file compress_utils.cpp.

176 {
177 process(buf, offset, m_stream->run_flag());
178 }

The documentation for this class was generated from the following files:

- src/lib/compression/bzip2/bzip2.h
- src/lib/compression/bzip2/bzip2.cpp